//------------------------------------------------------------
// $Id: materialArray.h,v 1.1.1.1 1999/11/25 06:26:09 yamauchi Exp $
//------------------------------------------------------------
// 	material data container.h
//	(M\pi)^2 
//	(M\pi)^2 data file is derived mgf data format
//
//	mpi2 data を OpenGL を用いて表示する
//	Plex というクラスが info にあるのだが、ヘッダがみつからないた
//	めに簡易的なものを作成した。 
//	1996/6/30
//	Copyright (C) 1996--1998 YAMAUCHI Hitoshi 山内 斉
//	implementation in objectDatas.cc
//------------------------------------------------------------
#ifndef _materialArray_h
#define _materialArray_h 1

#include <stdio.h>
#include "material.h"

class materialArrayClass {
protected:
    int mLen;
    materialClass** mppMatArray;
    
public:
    materialArrayClass(void) : mLen(0), mppMatArray(NULL) {}
    ~materialArrayClass(void);
    void init(void);
    void setLength(int aLen);
    int  getLength(void) const 	{ return(this->mLen);	}
    void set(materialClass* pMat, int idx);
    materialClass *get(int anIdx);
};

#endif				// #ifdef _materialArray_h
